From 7235a786ea30ae5ca7c1b3458ef5b2388c08dfd9 Mon Sep 17 00:00:00 2001
From: Rosen Penev <rosenp@gmail.com>
Date: Thu, 28 Mar 2019 18:44:27 -0700
Subject: [PATCH] src/main: Add missing pthread header

Otherwise compilation can fail with:

main.cpp: In function 'void one_measurement(int, int, char*)':
main.cpp:226:3: error: 'pthread_t' was not declared in this scope
   pthread_t thread = 0UL;
   ^~~~~~~~~
main.cpp:226:3: note: suggested alternative: 'pread'
   pthread_t thread = 0UL;
   ^~~~~~~~~
   pread

et al.

Signed-off-by: Rosen Penev <rosenp@gmail.com>
---
 src/main.cpp | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/main.cpp b/src/main.cpp
index cbb7a4e..75d4202 100644
--- a/src/main.cpp
+++ b/src/main.cpp
@@ -39,6 +39,7 @@
 #include <locale.h>
 #include <sys/resource.h>
 #include <limits.h>
+#include <pthread.h>
 
 #include "cpu/cpu.h"
 #include "process/process.h"
-- 
2.17.1

